package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 审批状态
 */
@AllArgsConstructor
@Getter
public enum EApproveStatus {

    /**
     * 1=待提交,2=待审核,3=审批中,4=已驳回,5=已审核
     */
    WAIT_SUBMIT(1, "待提交", EnumsPrefixConstants.APPROVE_STATUS + "1"),

    /**
     * 已提交 待审核
     */
    ALREADY_SUBMIT(2, "待审核", EnumsPrefixConstants.APPROVE_STATUS + "2"),

    /**
     * 审核中
     */
    APPROVE(3, "审核中", EnumsPrefixConstants.APPROVE_STATUS + "3"),

    /**
     * 已驳回
     */
    REJECTED(4, "已驳回", EnumsPrefixConstants.APPROVE_STATUS + "4"),

    /**
     * 已审核
     */
    FINISH(5, "已审核", EnumsPrefixConstants.APPROVE_STATUS + "5"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static EApproveStatus getEnumByValue(int value) {
        for (EApproveStatus eApproveStatus : EApproveStatus.values()) {
            if (eApproveStatus.getValue() == value) {
                return eApproveStatus;
            }
        }
        return null;
    }

}
